> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a check for a verification

> Requires the `check:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /verifications/{verification}/checks/{check}
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /verifications/{verification}/checks/{check}:
    get:
      tags:
        - Checks
      summary: Get a check for a verification
      description: Requires the `check:read` ability.
      operationId: verifications.checks.show
      parameters:
        - name: verification
          in: path
          required: true
          description: 'The verification ID. Example: `ver_01jz8v2q4x...`'
          schema:
            type: string
        - name: check
          in: path
          required: true
          description: 'The check ID. Example: `chk_01jz8v2q4x...`'
          schema:
            type: string
        - name: fields[checks]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - submitted_data
                - result
                - created_at
          explode: false
      responses:
        '200':
          description: '`CheckResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CheckResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    CheckResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: checks
        attributes:
          type: object
          properties:
            submitted_data:
              type: string
              description: The submitted data for the check.
            result:
              $ref: '#/components/schemas/CheckResult'
              description: The result of the check.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: CheckResource
    CheckResult:
      type: string
      enum:
        - uncompromised
        - compromised
      title: CheckResult
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````